package org.gcube.portlets.user.geoportaldataviewer.shared;

import java.util.ArrayList;
import java.util.List;

import org.gcube.application.geoportalcommon.shared.geoportal.materialization.innerobject.FilesetDV;
import org.gcube.portlets.widgets.mpformbuilder.shared.metadata.CategoryWrapper;
import org.gcube.portlets.widgets.mpformbuilder.shared.metadata.MetaDataProfileBean;
import org.gcube.portlets.widgets.mpformbuilder.shared.metadata.MetadataFieldWrapper;

public class MetaDataProfileBeanExt extends MetaDataProfileBean {

	private List<FilesetDV> listFileset = null;
	/**
	 * 
	 */
	private static final long serialVersionUID = -7201955007623188104L;

	public MetaDataProfileBeanExt() {
		super();
	}

	public MetaDataProfileBeanExt(String type, String title, List<MetadataFieldWrapper> metadataFields,
			List<CategoryWrapper> categories) {
		super(type, title, metadataFields, categories);
	}

	public List<FilesetDV> getListFileset() {
		if(listFileset==null)
			listFileset = new ArrayList<FilesetDV>();
		return listFileset;
	}
	
	public void setListFileset(List<FilesetDV> listFileset) {
		this.listFileset = listFileset;
	}

	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("MetaDataProfileBeanExt [listFileset=");
		builder.append(listFileset);
		builder.append("]");
		return builder.toString();
	}

}
